'use strict';

var index = require('./index-CP3lGz14.js');
var bem = require('./bem-p0PWVN8n.js');

const balTableCss = ".bal-table{display:block;position:static}.bal-table--is-fullwidth{display:-ms-flexbox;display:flex;width:100%}bal-checkbox .bal-checkbox__label::before{top:0}bal-checkbox .bal-checkbox__label::after{margin-top:0px}";

const Table = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        /**
         * If `true` the table has a full width
         */
        this.expanded = false;
    }
    render() {
        const block = bem.BEM.block('table');
        const fullwidthClass = 'is-fullwidth';
        const hasFullwidth = this.expanded;
        return (index.h(index.Host, { key: 'c3666abb26f5837aa6c7b3beda7cb86b12c513a6', class: Object.assign(Object.assign(Object.assign({}, block.class()), { 'ag-theme-alpine': true }), block.modifier(fullwidthClass).class(hasFullwidth)) }, index.h("slot", { key: 'b5c6c626cefffe3f170ebc1125ac7b26fff63b8b' })));
    }
    get el() { return index.getElement(this); }
};
Table.style = balTableCss;

exports.bal_table = Table;
